credentials.c File Reference

Credential pairs and triples. More...

`#include "credentials.h"`
`#include "strings.h"`
`#include <string.h>`

## Macros

#define | G_LOG_DOMAIN "libgvm base"
| GLib log domain. More...

## Functions

void | free_credentials (credentials_t *credentials)
| Free credentials. More...
void | append_to_credentials_username (credentials_t *credentials, const char *text, gsize length)
| Append text to the username of a credential pair. More...
void | append_to_credentials_password (credentials_t *credentials, const char *text, gsize length)
| Append text to the password of a credential pair. More...

## Detailed Description

Credential pairs and triples.

## Macro Definition Documentation

## G_LOG_DOMAIN

#define G_LOG_DOMAIN "libgvm base"

GLib log domain.

## Function Documentation

## append_to_credentials_password()

void append_to_credentials_password | ( | credentials_t * | credentials,
|  | const char * | text,
|  | gsize | length
| ) |  |

Append text to the password of a credential pair.

Parameters

  [in] | credentials | Credentials.
  [in] | text | The text to append.
  [in] | length | Length of the text.

## append_to_credentials_username()

void append_to_credentials_username | ( | credentials_t * | credentials,
|  | const char * | text,
|  | gsize | length
| ) |  |

Append text to the username of a credential pair.

Parameters

  [in] | credentials | Credentials.
  [in] | text | The text to append.
  [in] | length | Length of the text.

## free_credentials()

void free_credentials | ( | credentials_t * | credentials | ) |

Free credentials.

Free the members of a credentials pair.

Parameters

  [in] | credentials | Pointer to the credentials.